net.sf.jasperreports.export.type

## Enum PdfVersionEnum

- java.lang.Object
- - java.lang.Enum<PdfVersionEnum>
  - - net.sf.jasperreports.export.type.PdfVersionEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PdfVersionEnum>, JREnum, NamedEnum

      public enum PdfVersionEnum
      extends java.lang.Enum<PdfVersionEnum>
      implements JREnum

  Version:
    $Id: PdfVersionEnum.java 6692 2013-11-06 21:05:26Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `VERSION_1_2`
    `VERSION_1_3`
    `VERSION_1_4`
    `VERSION_1_5`
    `VERSION_1_6`
    `VERSION_1_7`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PdfVersionEnum` | `getByName(java.lang.String name)`
    `static PdfVersionEnum` | `getByValue(byte value)`
    `static PdfVersionEnum` | `getByValue(java.lang.Byte value)`
    `java.lang.String` | `getName()`
    `byte` | `getValue()`
    `java.lang.Byte` | `getValueByte()`
    `static PdfVersionEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PdfVersionEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VERSION_1_2

          public static final PdfVersionEnum VERSION_1_2

    - #### VERSION_1_3

          public static final PdfVersionEnum VERSION_1_3

    - #### VERSION_1_4

          public static final PdfVersionEnum VERSION_1_4

    - #### VERSION_1_5

          public static final PdfVersionEnum VERSION_1_5

    - #### VERSION_1_6

          public static final PdfVersionEnum VERSION_1_6

    - #### VERSION_1_7

          public static final PdfVersionEnum VERSION_1_7

  - ### Method Detail

    - #### values

          public static PdfVersionEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PdfVersionEnum c : PdfVersionEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PdfVersionEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueByte

          public java.lang.Byte getValueByte()

      Specified by:
        `getValueByte` in interface `JREnum`

    - #### getValue

          public final byte getValue()

      Specified by:
        `getValue` in interface `JREnum`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### getByName

          public static PdfVersionEnum getByName(java.lang.String name)

    - #### getByValue

          public static PdfVersionEnum getByValue(java.lang.Byte value)

    - #### getByValue

          public static PdfVersionEnum getByValue(byte value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com